#
# The JGenerator properties file
# 
# Copyright (c) 2000 Dmitry Skavish. All rights reserved.
#
# skavish@usa.net
#

# Message file  
com.iv.flash.messageFile=bin/messages.txt

# Log file
com.iv.flash.logFile=logs/generator.log

# Verbose level (from 0 to 4, 4 most verbose)
com.iv.flash.verbose=4

# Name of the template which will be sent to a user if there were some errors
# the template will be parsed with the variable 'bulkErrMessage' set to error message
com.iv.flash.errorTemplate=bin/error.swt

# If false, then all variables' names are case insensitive (same as in Macromedia Generator). 
# If true, then all variables' names are case sensitive.
# It is recomended to set it to true if you use xml datasources
com.iv.flash.varCaseSensitive=true

# If false, then all movie clips' names are case insensitive (same as in Macromedia Generator).
# If true, the all movie clips' names are case sensitive.
com.iv.flash.symCaseSensitive=false

# If true then text (its bounds) is rendered in Macromedia Generator style
# If false then text is rendered in JGenerator style
# For more information see documentation
com.iv.flash.textBoundsMMStyle=true

# If true, then you can use wrap assets feature of JGenerator
# If false, the feature is disabled
com.iv.flash.wrapAssets=true

# If true, then JGenerator will show errors occured in gen commands right inside the placeholder.
# If false, then all errors are ignored and logged 
com.iv.flash.showErrorsInline=true

# Name of the file with stat data
com.iv.flash.statFileName=logs/stat

# Name of default symbol file
com.iv.flash.defaultSymbolFile=bin/DefaultSymbolFile.swt

# Maximum number of threads
com.iv.flash.maxThreads=50

# External font location
com.iv.flash.fontPath=fonts/

# Run GC after this number of files processed (0-do not run)
com.iv.flash.garbageCollectAfterJobCount=0

# Admin user name
com.iv.flash.adminUserName=

# Admin password
com.iv.flash.adminPassword=

# Font configuration for FOP renderer
com.iv.flash.fopConfig=bin/fop-config.xml
                           
###############################################################################
# Request cache properties
###############################################################################

# maximum size of request cache
com.iv.flash.requestCacheMaxSize=1000000
# recycle older requests if there is no enough place to add new item
com.iv.flash.requestCacheRecycle=true
# default expiration of requests in seconds (overriden by url parameter 'gre')
com.iv.flash.requestCacheDefaultExpire=1
# force to cache all requests regardless of url parameters
com.iv.flash.requestCacheForce=true

###############################################################################
# Font cache properties
###############################################################################

# maximum size of font cache
com.iv.flash.fontCacheMaxSize=1000000
# recycle older fonts if there is no enough place to add new item
com.iv.flash.fontCacheRecycle=true
# default expiration of fonts in seconds (0-no expiration)
com.iv.flash.fontCacheDefaultExpire=0
# discard cached font if it was modified since last retrieval
com.iv.flash.fontCacheCheckModifiedSince=false

###############################################################################
# Media cache properties
###############################################################################

# maximum size of media cache
com.iv.flash.mediaCacheMaxSize=1000000
# recycle media object if there is no enough place to add new item
com.iv.flash.mediaCacheRecycle=true
# default expiration of media in seconds (overriden by url parameter 'gme')
com.iv.flash.mediaCacheDefaultExpire=3600
# force to cache all medias regardless of url parameters
com.iv.flash.mediaCacheForce=false
# discard cached media if it was modified since last retrieval
com.iv.flash.mediaCacheCheckModifiedSince=false

###############################################################################
# XML cache properties
###############################################################################

# maximum size of xml cache
com.iv.flash.xmlCacheMaxSize=1000000
# recycle xml file if there is no enough place to add new item
com.iv.flash.xmlCacheRecycle=true
# default expiration of xml in seconds (overriden by url parameter 'gme')
com.iv.flash.xmlCacheDefaultExpire=3600
# force to cache all xml files regardless of url parameters
com.iv.flash.xmlCacheForce=true
# discard cached xml if it was modified since last retrieval
com.iv.flash.xmlCacheCheckModifiedSince=true











